reload_config_texts(3)

NAME
reload_config_texts - Reloads translated strings returned by get_config_text(). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void reload_config_texts(const char *new_language);

DESCRIPTION
Reloads the translated strings returned by get_config_text(). This is useful to switch to another language in your program at runtime. If you want to modify the `[system]' language configuration variable yourself, or you have switched configuration files, you will want to pass NULL to just reload whatever language is currently selected. Or you can pass a string containing the two letter code of the language you desire to switch to, and the function will modify the language variable. After you call this function, the previously returned pointers of get_config_text() will be invalid. Example:
   ...
   /* The user selects French from a language choice menu. */
   reload_config_texts("FR");

SEE ALSO
get_config_text(3), get_config_string(3)